version: "{build}"
os: Windows Server 2012 R2
clone_folder: c:\GOPATH\src\github.com\jdkato\prose
environment:
  GOPATH: c:\GOPATH
init:
  - cmd: set PATH=C:\MinGW\bin;%PATH%
  - cmd: copy c:\MinGW\bin\mingw32-make.exe c:\MinGW\bin\make.exe
install:
  - set PATH=%GOPATH%\bin;c:\go\bin;C:\Ruby22\bin;%cd%\bin;%PATH%
build_script:
  - cmd: make setup
  - cmd: make build-win
test_script:
  - cmd: make test
